org.apache.storm.hbase.trident.state

## Class HBaseState

- java.lang.Object
- - org.apache.storm.hbase.trident.state.HBaseState

- All Implemented Interfaces:
    State

      public class HBaseState
      extends Object
      implements State

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HBaseState.Options`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HBaseState(Map<String,Object> map, int partitionIndex, int numPartitions, HBaseState.Options options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<List<Values>>` | `batchRetrieve(List<TridentTuple> tridentTuples)`
    `void` | `beginCommit(Long someLong)`
    `void` | `commit(Long someLong)`
    `protected void` | `prepare()`
    `void` | `updateState(List<TridentTuple> tuples, TridentCollector collector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HBaseState

          protected HBaseState(Map<String,Object> map,
                               int partitionIndex,
                               int numPartitions,
                               HBaseState.Options options)

  - ### Method Detail

    - #### prepare

          protected void prepare()

    - #### beginCommit

          public void beginCommit(Long someLong)

      Specified by:
        `beginCommit` in interface `State`

    - #### commit

          public void commit(Long someLong)

      Specified by:
        `commit` in interface `State`

    - #### updateState

          public void updateState(List<TridentTuple> tuples,
                                  TridentCollector collector)

    - #### batchRetrieve

          public List<List<Values>> batchRetrieve(List<TridentTuple> tridentTuples)

Copyright © 2021 The Apache Software Foundation. All rights reserved.